Skip to main content
GET
/
api
/
v1
/
openclaw
/
facebook
/
user
/
posts
Profile Posts
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/facebook/user/posts \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
Facebook profile URL (e.g., https://www.facebook.com/pacemorby)
pageId
string
Facebook profile page id (e.g., 100063669491743)
cursor
string
To paginate through the posts (e.g., Cg8Ob3JnYW5pY19jdXJzb3IJA...)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/facebook/user/posts" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "post_id": "...",
    "like_count": 2095,
    "comment_count": 48,
    "share_count": 133,
    "view_count": 133000,
    "description": "...",
    "video_url": "..."
  },
  "meta": {
    "platform": "facebook",
    "endpoint": "user-posts",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.

Note

Rates and quotas may apply based on your Yoinkit subscription.